declare enum AppCodeEnum {
    BUSINESS_GROWTH = "BUSINESS_GROWTH",
    LOW_CODE_DESIGN = "LOW_CODE_DESIGN",
    INDUSTRY_GENERAL_MODEL = "INDUSTRY_GENERAL_MODEL",
    OPERATION_SUPPORT = "OPERATION_SUPPORT",
    BASE_SUPPORT = "BASE_SUPPORT"
}
declare const _default: import("vue").DefineComponent<{
    appsData?: any;
    executeAction?: any;
    queryModuleRelation?: any;
}, {
    AppCodeEnum: typeof AppCodeEnum;
    oneLevelBusinessApps: import("vue").Ref<{
        name: string;
    }[], {
        name: string;
    }[] | {
        name: string;
    }[]>;
    industryGeneralModel: import("vue").Ref<string[], string[]>;
    operationSupport: import("vue").Ref<string[], string[]>;
    baseSupport: import("vue").Ref<string[], string[]>;
    flag1: import("vue").Ref<boolean, boolean>;
    flag2: import("vue").Ref<boolean, boolean>;
    flag3: import("vue").Ref<boolean, boolean>;
    flag4: import("vue").Ref<boolean, boolean>;
    node: import("vue").Ref<HTMLElement, HTMLElement>;
    relationGraph: import("vue").Ref<{
        displayName: string;
        id: string;
        module: string;
        upRelation: string;
    }, {
        displayName: string;
        id: string;
        module: string;
        upRelation: string;
    } | {
        displayName: string;
        id: string;
        module: string;
        upRelation: string;
    }>;
    spinning: import("vue").Ref<boolean, boolean>;
    callFullPage: () => void;
    queryRelation: (record: any) => Promise<void>;
}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<{
    appsData?: any;
    executeAction?: any;
    queryModuleRelation?: any;
}> & Readonly<{}>, {}, {}, {
    ForCard: any;
    RelationGraph: any;
}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
export default _default;
